Skip to content
Navigation

Request registration

POST
https://api.sureshake.com/v2/entities/{entityId}/reporting-agent-identity

Path parameters

  • entityId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • entityId
      string
      required
      format: uuid
    • status
      not_started
      or
      queued
      or
      pending_tx
      or
      registered
      or
      failed
      required
    • requestedByUserId
      string
      or null
      required
      minLength: 1
    • chain
      object
      required
      • chainId
        integer
        or null
        required
        minimum: 0
      • registryAddress
        string
        or null
        required
        pattern: ^0x[a-fA-F0-9]{40}$
      • agentAddress
        string
        or null
        required
        pattern: ^0x[a-fA-F0-9]{40}$
      • tokenId
        string
        or null
        required
        pattern: ^\d+$
      • transactionHash
        string
        or null
        required
        pattern: ^0x[a-fA-F0-9]{64}$
      • metadataUri
        string
        or null
        required
        format: uri
      • metadataHash
        string
        or null
        required
        maxLength: 128 · minLength: 1
    • readinessFactorKey
      agent_identity
      required
    • readinessMilestone
      agent_identity_registered
      required
    • retryCount
      integer
      required
      minimum: 0
    • failureCode
      string
      or null
      required
      maxLength: 120 · minLength: 1
    • failurePublicMessage
      string
      or null
      required
      maxLength: 500 · minLength: 1
    • queuedAt
      string
      or null
      required
      format: date-time
    • submittedAt
      string
      or null
      required
      format: date-time
    • registeredAt
      string
      or null
      required
      format: date-time
    • failedAt
      string
      or null
      required
      format: date-time
    • createdAt
      string
      required
      format: date-time
    • updatedAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close